---
title: Update Zone Bot Management Config
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Bot Management](https://developers.cloudflare.com/api/go/resources/bot_management)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update Zone Bot Management Config

client.BotManagement.Update(ctx, params) (\*[BotManagementUpdateResponse](<https://developers.cloudflare.com/api/go/resources/bot_management#(resource)%20bot_management%20%3E%20(model)%20BotManagementUpdateResponse%20%3E%20(schema)>), error)

PUT/zones/{zone\_id}/bot\_management

Updates the Bot Management configuration for a zone.

This API is used to update:

- **Bot Fight Mode**
- **Super Bot Fight Mode**
- **Bot Management for Enterprise**

See [Bot Plans](https://developers.cloudflare.com/bots/plans/) for more information on the different plans  
 If you recently upgraded or downgraded your plan, refer to the following examples to clean up old configurations. Copy and paste the example body to remove old zone configurations based on your current plan.

#### Clean up configuration for Bot Fight Mode plan

```json
{
  "sbfm_likely_automated": "allow",
  "sbfm_definitely_automated": "allow",
  "sbfm_verified_bots": "allow",
  "sbfm_static_resource_protection": false,
  "optimize_wordpress": false,
  "suppress_session_score": false
}
```

#### Clean up configuration for SBFM Pro plan

```json
{
  "sbfm_likely_automated": "allow",
  "fight_mode": false
}
```

#### Clean up configuration for SBFM Biz plan

```json
{
  "fight_mode": false
}
```

#### Clean up configuration for BM Enterprise Subscription plan

It is strongly recommended that you ensure you have [custom rules](https://developers.cloudflare.com/waf/custom-rules/) in place to protect your zone before disabling the SBFM rules. Without these protections, your zone is vulnerable to attacks.

```json
{
  "sbfm_likely_automated": "allow",
  "sbfm_definitely_automated": "allow",
  "sbfm_verified_bots": "allow",
  "sbfm_static_resource_protection": false,
  "optimize_wordpress": false,
  "fight_mode": false
}
```

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Bot Management Write`

##### ParametersExpand Collapse

<details>

<summary>

params BotManagementUpdateParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20zone_id">Link to this property</a>

BotFightModeConfiguration param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/bot_management#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)">BotFightModeConfiguration</a>]

Body param

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20bot_fight_mode_configuration">Link to this property</a>

</details>

[Link to this property](<#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200>)

##### ReturnsExpand Collapse

<details>

<summary>

type BotManagementUpdateResponse interface{…}

</summary>

One of the following:

<details>

<summary>

type BotFightModeConfiguration struct{…}

</summary>

AIBotsMigrationOptOut boolOptional

Temporary migration flag tracking zones opted out of AI bots managed-rule updates.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_migration_opt_out">Link to this property</a>

<details>

<summary>

AIBotsProtection BotFightModeConfigurationAIBotsProtectionOptional

Enable rule to block AI Scrapers and Crawlers.

</summary>

One of the following:

const BotFightModeConfigurationAIBotsProtectionBlock BotFightModeConfigurationAIBotsProtection = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%200">Link to this property</a>

const BotFightModeConfigurationAIBotsProtectionDisabled BotFightModeConfigurationAIBotsProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%201">Link to this property</a>

const BotFightModeConfigurationAIBotsProtectionOnlyOnADPages BotFightModeConfigurationAIBotsProtection = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection">Link to this property</a>

<details>

<summary>

AISearch BotFightModeConfigurationAISearchOptional

Configure robots.txt policy for AI search bots.

</summary>

One of the following:

const BotFightModeConfigurationAISearchDisabled BotFightModeConfigurationAISearch = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%200">Link to this property</a>

const BotFightModeConfigurationAISearchBlock BotFightModeConfigurationAISearch = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%201">Link to this property</a>

const BotFightModeConfigurationAISearchOnlyOnADPages BotFightModeConfigurationAISearch = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search">Link to this property</a>

<details>

<summary>

AITraining BotFightModeConfigurationAITrainingOptional

Configure robots.txt policy for AI model training bots.

</summary>

One of the following:

const BotFightModeConfigurationAITrainingDisabled BotFightModeConfigurationAITraining = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%200">Link to this property</a>

const BotFightModeConfigurationAITrainingDisallow BotFightModeConfigurationAITraining = "disallow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%201">Link to this property</a>

const BotFightModeConfigurationAITrainingBlock BotFightModeConfigurationAITraining = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%202">Link to this property</a>

const BotFightModeConfigurationAITrainingOnlyOnADPages BotFightModeConfigurationAITraining = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training">Link to this property</a>

<details>

<summary>

AIUser BotFightModeConfigurationAIUserOptional

Configure robots.txt policy for AI assistant and agent bots.

</summary>

One of the following:

const BotFightModeConfigurationAIUserDisabled BotFightModeConfigurationAIUser = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%200">Link to this property</a>

const BotFightModeConfigurationAIUserBlock BotFightModeConfigurationAIUser = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%201">Link to this property</a>

const BotFightModeConfigurationAIUserOnlyOnADPages BotFightModeConfigurationAIUser = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user">Link to this property</a>

BotPreferenceSyncEnabled boolOptional

Enable Bot Preference Sync for this zone. When enabled, Cloudflare can serve robots.txt content derived from the zone’s AI Search, AI User, and AI Training preferences.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20bot_preference_sync_enabled">Link to this property</a>

<details>

<summary>

CfRobotsVariant BotFightModeConfigurationCfRobotsVariantOptional

Specifies the Robots Access Control License variant to use.

</summary>

One of the following:

const BotFightModeConfigurationCfRobotsVariantOff BotFightModeConfigurationCfRobotsVariant = "off"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%200">Link to this property</a>

const BotFightModeConfigurationCfRobotsVariantPolicyOnly BotFightModeConfigurationCfRobotsVariant = "policy\_only"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant">Link to this property</a>

<details>

<summary>

ContentBotsProtection BotFightModeConfigurationContentBotsProtectionOptional

Enable rule to block content bots. When enabled, blocks automated traffic with low bot scores, excluding safe verified bot categories. Exceptions should be managed via skip rules.

</summary>

One of the following:

const BotFightModeConfigurationContentBotsProtectionBlock BotFightModeConfigurationContentBotsProtection = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%200">Link to this property</a>

const BotFightModeConfigurationContentBotsProtectionDisabled BotFightModeConfigurationContentBotsProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection">Link to this property</a>

<details>

<summary>

CrawlerProtection BotFightModeConfigurationCrawlerProtectionOptional

Enable rule to punish AI Scrapers and Crawlers via a link maze.

</summary>

One of the following:

const BotFightModeConfigurationCrawlerProtectionEnabled BotFightModeConfigurationCrawlerProtection = "enabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%200">Link to this property</a>

const BotFightModeConfigurationCrawlerProtectionDisabled BotFightModeConfigurationCrawlerProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection">Link to this property</a>

EnableJS boolOptional

Use lightweight, invisible JavaScript detections to improve Bot Management. <a href="https://developers.cloudflare.com/bots/reference/javascript-detections/">Learn more about JavaScript Detections</a>.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20enable_js">Link to this property</a>

FightMode boolOptional

Whether to enable Bot Fight Mode.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20fight_mode">Link to this property</a>

IsRobotsTXTManaged boolOptional

Enable cloudflare managed robots.txt. If an existing robots.txt is detected, then managed robots.txt will be prepended to the existing robots.txt.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20is_robots_txt_managed">Link to this property</a>

JsdAPIResultsEnabled boolOptional

Whether to use JavaScript Detection results submitted through the API for this zone.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20jsd_api_results_enabled">Link to this property</a>

<details>

<summary>

StaleZoneConfiguration BotFightModeConfigurationStaleZoneConfigurationOptional

A read-only field that shows which unauthorized settings are currently active on the zone. These settings typically result from upgrades or downgrades.

</summary>

OptimizeWordpress boolOptional

Indicates that the zone’s wordpress optimization for SBFM is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20optimize_wordpress">Link to this property</a>

SBFMDefinitelyAutomated stringOptional

Indicates that the zone’s definitely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_definitely_automated">Link to this property</a>

SBFMLikelyAutomated stringOptional

Indicates that the zone’s likely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_likely_automated">Link to this property</a>

SBFMStaticResourceProtection stringOptional

Indicates that the zone’s static resource protection is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_static_resource_protection">Link to this property</a>

SBFMVerifiedBots stringOptional

Indicates that the zone’s verified bot requests are being blocked.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_verified_bots">Link to this property</a>

SuppressSessionScore boolOptional

Indicates that the zone’s session score tracking is disabled.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20suppress_session_score">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration">Link to this property</a>

UsingLatestModel boolOptional

A read-only field that indicates whether the zone currently is running the latest ML model.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20using_latest_model">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type SuperBotFightModeDefinitelyConfiguration struct{…}

</summary>

AIBotsMigrationOptOut boolOptional

Temporary migration flag tracking zones opted out of AI bots managed-rule updates.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_migration_opt_out">Link to this property</a>

<details>

<summary>

AIBotsProtection SuperBotFightModeDefinitelyConfigurationAIBotsProtectionOptional

Enable rule to block AI Scrapers and Crawlers.

</summary>

One of the following:

const SuperBotFightModeDefinitelyConfigurationAIBotsProtectionBlock SuperBotFightModeDefinitelyConfigurationAIBotsProtection = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationAIBotsProtectionDisabled SuperBotFightModeDefinitelyConfigurationAIBotsProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationAIBotsProtectionOnlyOnADPages SuperBotFightModeDefinitelyConfigurationAIBotsProtection = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection">Link to this property</a>

<details>

<summary>

AISearch SuperBotFightModeDefinitelyConfigurationAISearchOptional

Configure robots.txt policy for AI search bots.

</summary>

One of the following:

const SuperBotFightModeDefinitelyConfigurationAISearchDisabled SuperBotFightModeDefinitelyConfigurationAISearch = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationAISearchBlock SuperBotFightModeDefinitelyConfigurationAISearch = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationAISearchOnlyOnADPages SuperBotFightModeDefinitelyConfigurationAISearch = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search">Link to this property</a>

<details>

<summary>

AITraining SuperBotFightModeDefinitelyConfigurationAITrainingOptional

Configure robots.txt policy for AI model training bots.

</summary>

One of the following:

const SuperBotFightModeDefinitelyConfigurationAITrainingDisabled SuperBotFightModeDefinitelyConfigurationAITraining = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationAITrainingDisallow SuperBotFightModeDefinitelyConfigurationAITraining = "disallow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationAITrainingBlock SuperBotFightModeDefinitelyConfigurationAITraining = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%202">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationAITrainingOnlyOnADPages SuperBotFightModeDefinitelyConfigurationAITraining = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training">Link to this property</a>

<details>

<summary>

AIUser SuperBotFightModeDefinitelyConfigurationAIUserOptional

Configure robots.txt policy for AI assistant and agent bots.

</summary>

One of the following:

const SuperBotFightModeDefinitelyConfigurationAIUserDisabled SuperBotFightModeDefinitelyConfigurationAIUser = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationAIUserBlock SuperBotFightModeDefinitelyConfigurationAIUser = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationAIUserOnlyOnADPages SuperBotFightModeDefinitelyConfigurationAIUser = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user">Link to this property</a>

BotPreferenceSyncEnabled boolOptional

Enable Bot Preference Sync for this zone. When enabled, Cloudflare can serve robots.txt content derived from the zone’s AI Search, AI User, and AI Training preferences.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20bot_preference_sync_enabled">Link to this property</a>

<details>

<summary>

CfRobotsVariant SuperBotFightModeDefinitelyConfigurationCfRobotsVariantOptional

Specifies the Robots Access Control License variant to use.

</summary>

One of the following:

const SuperBotFightModeDefinitelyConfigurationCfRobotsVariantOff SuperBotFightModeDefinitelyConfigurationCfRobotsVariant = "off"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationCfRobotsVariantPolicyOnly SuperBotFightModeDefinitelyConfigurationCfRobotsVariant = "policy\_only"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant">Link to this property</a>

<details>

<summary>

ContentBotsProtection SuperBotFightModeDefinitelyConfigurationContentBotsProtectionOptional

Enable rule to block content bots. When enabled, blocks automated traffic with low bot scores, excluding safe verified bot categories. Exceptions should be managed via skip rules.

</summary>

One of the following:

const SuperBotFightModeDefinitelyConfigurationContentBotsProtectionBlock SuperBotFightModeDefinitelyConfigurationContentBotsProtection = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationContentBotsProtectionDisabled SuperBotFightModeDefinitelyConfigurationContentBotsProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection">Link to this property</a>

<details>

<summary>

CrawlerProtection SuperBotFightModeDefinitelyConfigurationCrawlerProtectionOptional

Enable rule to punish AI Scrapers and Crawlers via a link maze.

</summary>

One of the following:

const SuperBotFightModeDefinitelyConfigurationCrawlerProtectionEnabled SuperBotFightModeDefinitelyConfigurationCrawlerProtection = "enabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationCrawlerProtectionDisabled SuperBotFightModeDefinitelyConfigurationCrawlerProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection">Link to this property</a>

EnableJS boolOptional

Use lightweight, invisible JavaScript detections to improve Bot Management. <a href="https://developers.cloudflare.com/bots/reference/javascript-detections/">Learn more about JavaScript Detections</a>.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20enable_js">Link to this property</a>

IsRobotsTXTManaged boolOptional

Enable cloudflare managed robots.txt. If an existing robots.txt is detected, then managed robots.txt will be prepended to the existing robots.txt.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20is_robots_txt_managed">Link to this property</a>

JsdAPIResultsEnabled boolOptional

Whether to use JavaScript Detection results submitted through the API for this zone.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20jsd_api_results_enabled">Link to this property</a>

OptimizeWordpress boolOptional

Whether to optimize Super Bot Fight Mode protections for Wordpress.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20optimize_wordpress">Link to this property</a>

<details>

<summary>

SBFMDefinitelyAutomated SuperBotFightModeDefinitelyConfigurationSBFMDefinitelyAutomatedOptional

Super Bot Fight Mode (SBFM) action to take on definitely automated requests.

</summary>

One of the following:

const SuperBotFightModeDefinitelyConfigurationSBFMDefinitelyAutomatedAllow SuperBotFightModeDefinitelyConfigurationSBFMDefinitelyAutomated = "allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationSBFMDefinitelyAutomatedBlock SuperBotFightModeDefinitelyConfigurationSBFMDefinitelyAutomated = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationSBFMDefinitelyAutomatedManagedChallenge SuperBotFightModeDefinitelyConfigurationSBFMDefinitelyAutomated = "managed\_challenge"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated">Link to this property</a>

SBFMStaticResourceProtection boolOptional

Super Bot Fight Mode (SBFM) to enable static resource protection. Enable if static resources on your application need bot protection. Note: Static resource protection can also result in legitimate traffic being blocked.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_static_resource_protection">Link to this property</a>

<details>

<summary>

SBFMVerifiedBots SuperBotFightModeDefinitelyConfigurationSBFMVerifiedBotsOptional

Super Bot Fight Mode (SBFM) action to take on verified bots requests.

</summary>

One of the following:

const SuperBotFightModeDefinitelyConfigurationSBFMVerifiedBotsAllow SuperBotFightModeDefinitelyConfigurationSBFMVerifiedBots = "allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeDefinitelyConfigurationSBFMVerifiedBotsBlock SuperBotFightModeDefinitelyConfigurationSBFMVerifiedBots = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots">Link to this property</a>

<details>

<summary>

StaleZoneConfiguration SuperBotFightModeDefinitelyConfigurationStaleZoneConfigurationOptional

A read-only field that shows which unauthorized settings are currently active on the zone. These settings typically result from upgrades or downgrades.

</summary>

FightMode boolOptional

Indicates that the zone’s Bot Fight Mode is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20fight_mode">Link to this property</a>

SBFMLikelyAutomated stringOptional

Indicates that the zone’s likely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_likely_automated">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration">Link to this property</a>

UsingLatestModel boolOptional

A read-only field that indicates whether the zone currently is running the latest ML model.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20using_latest_model">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type SuperBotFightModeLikelyConfiguration struct{…}

</summary>

AIBotsMigrationOptOut boolOptional

Temporary migration flag tracking zones opted out of AI bots managed-rule updates.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_migration_opt_out">Link to this property</a>

<details>

<summary>

AIBotsProtection SuperBotFightModeLikelyConfigurationAIBotsProtectionOptional

Enable rule to block AI Scrapers and Crawlers.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationAIBotsProtectionBlock SuperBotFightModeLikelyConfigurationAIBotsProtection = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationAIBotsProtectionDisabled SuperBotFightModeLikelyConfigurationAIBotsProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeLikelyConfigurationAIBotsProtectionOnlyOnADPages SuperBotFightModeLikelyConfigurationAIBotsProtection = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection">Link to this property</a>

<details>

<summary>

AISearch SuperBotFightModeLikelyConfigurationAISearchOptional

Configure robots.txt policy for AI search bots.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationAISearchDisabled SuperBotFightModeLikelyConfigurationAISearch = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationAISearchBlock SuperBotFightModeLikelyConfigurationAISearch = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeLikelyConfigurationAISearchOnlyOnADPages SuperBotFightModeLikelyConfigurationAISearch = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search">Link to this property</a>

<details>

<summary>

AITraining SuperBotFightModeLikelyConfigurationAITrainingOptional

Configure robots.txt policy for AI model training bots.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationAITrainingDisabled SuperBotFightModeLikelyConfigurationAITraining = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationAITrainingDisallow SuperBotFightModeLikelyConfigurationAITraining = "disallow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeLikelyConfigurationAITrainingBlock SuperBotFightModeLikelyConfigurationAITraining = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%202">Link to this property</a>

const SuperBotFightModeLikelyConfigurationAITrainingOnlyOnADPages SuperBotFightModeLikelyConfigurationAITraining = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training">Link to this property</a>

<details>

<summary>

AIUser SuperBotFightModeLikelyConfigurationAIUserOptional

Configure robots.txt policy for AI assistant and agent bots.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationAIUserDisabled SuperBotFightModeLikelyConfigurationAIUser = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationAIUserBlock SuperBotFightModeLikelyConfigurationAIUser = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeLikelyConfigurationAIUserOnlyOnADPages SuperBotFightModeLikelyConfigurationAIUser = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user">Link to this property</a>

BotPreferenceSyncEnabled boolOptional

Enable Bot Preference Sync for this zone. When enabled, Cloudflare can serve robots.txt content derived from the zone’s AI Search, AI User, and AI Training preferences.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20bot_preference_sync_enabled">Link to this property</a>

<details>

<summary>

CfRobotsVariant SuperBotFightModeLikelyConfigurationCfRobotsVariantOptional

Specifies the Robots Access Control License variant to use.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationCfRobotsVariantOff SuperBotFightModeLikelyConfigurationCfRobotsVariant = "off"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationCfRobotsVariantPolicyOnly SuperBotFightModeLikelyConfigurationCfRobotsVariant = "policy\_only"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant">Link to this property</a>

<details>

<summary>

ContentBotsProtection SuperBotFightModeLikelyConfigurationContentBotsProtectionOptional

Enable rule to block content bots. When enabled, blocks automated traffic with low bot scores, excluding safe verified bot categories. Exceptions should be managed via skip rules.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationContentBotsProtectionBlock SuperBotFightModeLikelyConfigurationContentBotsProtection = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationContentBotsProtectionDisabled SuperBotFightModeLikelyConfigurationContentBotsProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection">Link to this property</a>

<details>

<summary>

CrawlerProtection SuperBotFightModeLikelyConfigurationCrawlerProtectionOptional

Enable rule to punish AI Scrapers and Crawlers via a link maze.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationCrawlerProtectionEnabled SuperBotFightModeLikelyConfigurationCrawlerProtection = "enabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationCrawlerProtectionDisabled SuperBotFightModeLikelyConfigurationCrawlerProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection">Link to this property</a>

EnableJS boolOptional

Use lightweight, invisible JavaScript detections to improve Bot Management. <a href="https://developers.cloudflare.com/bots/reference/javascript-detections/">Learn more about JavaScript Detections</a>.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20enable_js">Link to this property</a>

IsRobotsTXTManaged boolOptional

Enable cloudflare managed robots.txt. If an existing robots.txt is detected, then managed robots.txt will be prepended to the existing robots.txt.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20is_robots_txt_managed">Link to this property</a>

JsdAPIResultsEnabled boolOptional

Whether to use JavaScript Detection results submitted through the API for this zone.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20jsd_api_results_enabled">Link to this property</a>

OptimizeWordpress boolOptional

Whether to optimize Super Bot Fight Mode protections for Wordpress.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20optimize_wordpress">Link to this property</a>

<details>

<summary>

SBFMDefinitelyAutomated SuperBotFightModeLikelyConfigurationSBFMDefinitelyAutomatedOptional

Super Bot Fight Mode (SBFM) action to take on definitely automated requests.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationSBFMDefinitelyAutomatedAllow SuperBotFightModeLikelyConfigurationSBFMDefinitelyAutomated = "allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationSBFMDefinitelyAutomatedBlock SuperBotFightModeLikelyConfigurationSBFMDefinitelyAutomated = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeLikelyConfigurationSBFMDefinitelyAutomatedManagedChallenge SuperBotFightModeLikelyConfigurationSBFMDefinitelyAutomated = "managed\_challenge"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated">Link to this property</a>

<details>

<summary>

SBFMLikelyAutomated SuperBotFightModeLikelyConfigurationSBFMLikelyAutomatedOptional

Super Bot Fight Mode (SBFM) action to take on likely automated requests.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationSBFMLikelyAutomatedAllow SuperBotFightModeLikelyConfigurationSBFMLikelyAutomated = "allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_likely_automated%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationSBFMLikelyAutomatedBlock SuperBotFightModeLikelyConfigurationSBFMLikelyAutomated = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_likely_automated%20%3E%20(member)%201">Link to this property</a>

const SuperBotFightModeLikelyConfigurationSBFMLikelyAutomatedManagedChallenge SuperBotFightModeLikelyConfigurationSBFMLikelyAutomated = "managed\_challenge"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_likely_automated%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_likely_automated">Link to this property</a>

SBFMStaticResourceProtection boolOptional

Super Bot Fight Mode (SBFM) to enable static resource protection. Enable if static resources on your application need bot protection. Note: Static resource protection can also result in legitimate traffic being blocked.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_static_resource_protection">Link to this property</a>

<details>

<summary>

SBFMVerifiedBots SuperBotFightModeLikelyConfigurationSBFMVerifiedBotsOptional

Super Bot Fight Mode (SBFM) action to take on verified bots requests.

</summary>

One of the following:

const SuperBotFightModeLikelyConfigurationSBFMVerifiedBotsAllow SuperBotFightModeLikelyConfigurationSBFMVerifiedBots = "allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots%20%3E%20(member)%200">Link to this property</a>

const SuperBotFightModeLikelyConfigurationSBFMVerifiedBotsBlock SuperBotFightModeLikelyConfigurationSBFMVerifiedBots = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots">Link to this property</a>

<details>

<summary>

StaleZoneConfiguration SuperBotFightModeLikelyConfigurationStaleZoneConfigurationOptional

A read-only field that shows which unauthorized settings are currently active on the zone. These settings typically result from upgrades or downgrades.

</summary>

FightMode boolOptional

Indicates that the zone’s Bot Fight Mode is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20fight_mode">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration">Link to this property</a>

UsingLatestModel boolOptional

A read-only field that indicates whether the zone currently is running the latest ML model.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20using_latest_model">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type SubscriptionConfiguration struct{…}

</summary>

AIBotsMigrationOptOut boolOptional

Temporary migration flag tracking zones opted out of AI bots managed-rule updates.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_migration_opt_out">Link to this property</a>

<details>

<summary>

AIBotsProtection SubscriptionConfigurationAIBotsProtectionOptional

Enable rule to block AI Scrapers and Crawlers.

</summary>

One of the following:

const SubscriptionConfigurationAIBotsProtectionBlock SubscriptionConfigurationAIBotsProtection = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%200">Link to this property</a>

const SubscriptionConfigurationAIBotsProtectionDisabled SubscriptionConfigurationAIBotsProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%201">Link to this property</a>

const SubscriptionConfigurationAIBotsProtectionOnlyOnADPages SubscriptionConfigurationAIBotsProtection = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection">Link to this property</a>

<details>

<summary>

AISearch SubscriptionConfigurationAISearchOptional

Configure robots.txt policy for AI search bots.

</summary>

One of the following:

const SubscriptionConfigurationAISearchDisabled SubscriptionConfigurationAISearch = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%200">Link to this property</a>

const SubscriptionConfigurationAISearchBlock SubscriptionConfigurationAISearch = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%201">Link to this property</a>

const SubscriptionConfigurationAISearchOnlyOnADPages SubscriptionConfigurationAISearch = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search">Link to this property</a>

<details>

<summary>

AITraining SubscriptionConfigurationAITrainingOptional

Configure robots.txt policy for AI model training bots.

</summary>

One of the following:

const SubscriptionConfigurationAITrainingDisabled SubscriptionConfigurationAITraining = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%200">Link to this property</a>

const SubscriptionConfigurationAITrainingDisallow SubscriptionConfigurationAITraining = "disallow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%201">Link to this property</a>

const SubscriptionConfigurationAITrainingBlock SubscriptionConfigurationAITraining = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%202">Link to this property</a>

const SubscriptionConfigurationAITrainingOnlyOnADPages SubscriptionConfigurationAITraining = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training">Link to this property</a>

<details>

<summary>

AIUser SubscriptionConfigurationAIUserOptional

Configure robots.txt policy for AI assistant and agent bots.

</summary>

One of the following:

const SubscriptionConfigurationAIUserDisabled SubscriptionConfigurationAIUser = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%200">Link to this property</a>

const SubscriptionConfigurationAIUserBlock SubscriptionConfigurationAIUser = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%201">Link to this property</a>

const SubscriptionConfigurationAIUserOnlyOnADPages SubscriptionConfigurationAIUser = "only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user">Link to this property</a>

AutoUpdateModel boolOptional

Automatically update to the newest bot detection models created by Cloudflare as they are released. <a href="https://developers.cloudflare.com/bots/reference/machine-learning-models#model-versions-and-release-notes">Learn more.</a>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20auto_update_model">Link to this property</a>

BmCookieEnabled boolOptional

Indicates that the bot management cookie can be placed on end user devices accessing the site. Defaults to true

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20bm_cookie_enabled">Link to this property</a>

BotPreferenceSyncEnabled boolOptional

Enable Bot Preference Sync for this zone. When enabled, Cloudflare can serve robots.txt content derived from the zone’s AI Search, AI User, and AI Training preferences.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20bot_preference_sync_enabled">Link to this property</a>

<details>

<summary>

CfRobotsVariant SubscriptionConfigurationCfRobotsVariantOptional

Specifies the Robots Access Control License variant to use.

</summary>

One of the following:

const SubscriptionConfigurationCfRobotsVariantOff SubscriptionConfigurationCfRobotsVariant = "off"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%200">Link to this property</a>

const SubscriptionConfigurationCfRobotsVariantPolicyOnly SubscriptionConfigurationCfRobotsVariant = "policy\_only"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant">Link to this property</a>

<details>

<summary>

ContentBotsProtection SubscriptionConfigurationContentBotsProtectionOptional

Enable rule to block content bots. When enabled, blocks automated traffic with low bot scores, excluding safe verified bot categories. Exceptions should be managed via skip rules.

</summary>

One of the following:

const SubscriptionConfigurationContentBotsProtectionBlock SubscriptionConfigurationContentBotsProtection = "block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%200">Link to this property</a>

const SubscriptionConfigurationContentBotsProtectionDisabled SubscriptionConfigurationContentBotsProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection">Link to this property</a>

<details>

<summary>

CrawlerProtection SubscriptionConfigurationCrawlerProtectionOptional

Enable rule to punish AI Scrapers and Crawlers via a link maze.

</summary>

One of the following:

const SubscriptionConfigurationCrawlerProtectionEnabled SubscriptionConfigurationCrawlerProtection = "enabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%200">Link to this property</a>

const SubscriptionConfigurationCrawlerProtectionDisabled SubscriptionConfigurationCrawlerProtection = "disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection">Link to this property</a>

EnableJS boolOptional

Use lightweight, invisible JavaScript detections to improve Bot Management. <a href="https://developers.cloudflare.com/bots/reference/javascript-detections/">Learn more about JavaScript Detections</a>.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20enable_js">Link to this property</a>

IsRobotsTXTManaged boolOptional

Enable cloudflare managed robots.txt. If an existing robots.txt is detected, then managed robots.txt will be prepended to the existing robots.txt.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20is_robots_txt_managed">Link to this property</a>

JsdAPIResultsEnabled boolOptional

Whether to use JavaScript Detection results submitted through the API for this zone.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20jsd_api_results_enabled">Link to this property</a>

<details>

<summary>

StaleZoneConfiguration SubscriptionConfigurationStaleZoneConfigurationOptional

A read-only field that shows which unauthorized settings are currently active on the zone. These settings typically result from upgrades or downgrades.

</summary>

FightMode boolOptional

Indicates that the zone’s Bot Fight Mode is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20fight_mode">Link to this property</a>

OptimizeWordpress boolOptional

Indicates that the zone’s wordpress optimization for SBFM is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20optimize_wordpress">Link to this property</a>

SBFMDefinitelyAutomated stringOptional

Indicates that the zone’s definitely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_definitely_automated">Link to this property</a>

SBFMLikelyAutomated stringOptional

Indicates that the zone’s likely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_likely_automated">Link to this property</a>

SBFMStaticResourceProtection stringOptional

Indicates that the zone’s static resource protection is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_static_resource_protection">Link to this property</a>

SBFMVerifiedBots stringOptional

Indicates that the zone’s verified bot requests are being blocked.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_verified_bots">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration">Link to this property</a>

SuppressSessionScore boolOptional

Whether to disable tracking the highest bot score for a session in the Bot Management cookie.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20suppress_session_score">Link to this property</a>

UsingLatestModel boolOptional

A read-only field that indicates whether the zone currently is running the latest ML model.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20using_latest_model">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)">Link to this property</a>

</details>

[Link to this property](<#(resource)%20bot_management%20%3E%20(model)%20BotManagementUpdateResponse%20%3E%20(schema)>)

### Update Zone Bot Management Config

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/bot_management"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  botManagement, err := client.BotManagement.Update(context.TODO(), bot_management.BotManagementUpdateParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Body: bot_management.BotFightModeConfigurationParam{

    },
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", botManagement)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ai_bots_migration_opt_out": false,
    "ai_bots_protection": "block",
    "ai_search": "block",
    "ai_training": "disallow",
    "ai_user": "only_on_ad_pages",
    "bot_preference_sync_enabled": true,
    "cf_robots_variant": "policy_only",
    "content_bots_protection": "disabled",
    "crawler_protection": "enabled",
    "enable_js": true,
    "fight_mode": true,
    "is_robots_txt_managed": false,
    "jsd_api_results_enabled": true,
    "stale_zone_configuration": {
      "optimize_wordpress": true,
      "sbfm_definitely_automated": "sbfm_definitely_automated",
      "sbfm_likely_automated": "sbfm_likely_automated",
      "sbfm_static_resource_protection": "sbfm_static_resource_protection",
      "sbfm_verified_bots": "sbfm_verified_bots",
      "suppress_session_score": true
    },
    "using_latest_model": true
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ai_bots_migration_opt_out": false,
    "ai_bots_protection": "block",
    "ai_search": "block",
    "ai_training": "disallow",
    "ai_user": "only_on_ad_pages",
    "bot_preference_sync_enabled": true,
    "cf_robots_variant": "policy_only",
    "content_bots_protection": "disabled",
    "crawler_protection": "enabled",
    "enable_js": true,
    "fight_mode": true,
    "is_robots_txt_managed": false,
    "jsd_api_results_enabled": true,
    "stale_zone_configuration": {
      "optimize_wordpress": true,
      "sbfm_definitely_automated": "sbfm_definitely_automated",
      "sbfm_likely_automated": "sbfm_likely_automated",
      "sbfm_static_resource_protection": "sbfm_static_resource_protection",
      "sbfm_verified_bots": "sbfm_verified_bots",
      "suppress_session_score": true
    },
    "using_latest_model": true
  }
}
```